<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    {{#if @value}}
      <div class="manage-cover-view" style={{this.imageStyle}}></div>
    {{else}}
      <div class="alert alert-danger" role="alert">
        {{t "message.no-cover"}}
      </div>
    {{/if}}
  </:view>

  <:edit as |id|>
    <Input::Picture
        @id={{id}}
        @model={{@model}}
        @modelId={{@modelId}}
        class="mb-3 square-cover"
        @value={{@value}}
        @onChange={{this.changeValue}}
      />
  </:edit>
</Manage::FieldContainer>